tests/test_multiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1950656 kB, VmSize: 1950656 kB, VmRSS: 313880 kB, VmData: 401956 kB, Mmaps: 1458, Mmaps: 1950660 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951564 kB, VmSize: 1951308 kB, VmRSS: 314908 kB, VmData: 402608 kB, Mmaps: 1459, Mmaps: 1951312 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951564 kB, VmSize: 1951068 kB, VmRSS: 314860 kB, VmData: 402608 kB, Mmaps: 1445, Mmaps: 1951072 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00069300000000005
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.7; loadPixelBoxStartUserTime=2.289933; loadPixelBoxStartSystemTime=0.42566; loadPixelBoxStartMaxResidentSetSize=315172; loadPixelBoxStartMinorPageFaults=90705; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171309
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.71; loadSkyCircleStartUserTime=2.290466; loadSkyCircleStartSystemTime=0.425759; loadSkyCircleStartMaxResidentSetSize=315172; loadSkyCircleStartMinorPageFaults=90715; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171309
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.71; _readIndexFilesStartUserTime=2.290763; _readIndexFilesStartSystemTime=0.42580999999999997; _readIndexFilesStartMaxResidentSetSize=315172; _readIndexFilesStartMinorPageFaults=90715; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171309
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.71; _readIndexFilesEndUserTime=2.290955; _readIndexFilesEndSystemTime=0.42580999999999997; _readIndexFilesEndMaxResidentSetSize=315172; _readIndexFilesEndMinorPageFaults=90717; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171309
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.71; loadSkyCircleEndUserTime=2.293703; loadSkyCircleEndSystemTime=0.42580999999999997; loadSkyCircleEndMaxResidentSetSize=315172; loadSkyCircleEndMinorPageFaults=90986; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171309
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.72; loadPixelBoxEndUserTime=2.300398; loadPixelBoxEndSystemTime=0.42580999999999997; loadPixelBoxEndMaxResidentSetSize=315172; loadPixelBoxEndMinorPageFaults=91017; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171309
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/3195/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/3195/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.09; _readIndexFilesStartUserTime=2.6672409999999998; _readIndexFilesStartSystemTime=0.43651199999999996; _readIndexFilesStartMaxResidentSetSize=317712; _readIndexFilesStartMinorPageFaults=95137; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171312
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.1; _readIndexFilesEndUserTime=2.671039; _readIndexFilesEndSystemTime=0.43748; _readIndexFilesEndMaxResidentSetSize=317724; _readIndexFilesEndMinorPageFaults=95145; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171312
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953616 kB, VmSize: 1953616 kB, VmRSS: 317724 kB, VmData: 404784 kB, Mmaps: 1464, Mmaps: 1953620 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953872 kB, VmSize: 1953872 kB, VmRSS: 318104 kB, VmData: 405040 kB, Mmaps: 1464, Mmaps: 1953876 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953872 kB, VmSize: 1953244 kB, VmRSS: 317828 kB, VmData: 404784 kB, Mmaps: 1446, Mmaps: 1953248 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067200000000023
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.13; loadPixelBoxStartUserTime=2.693754; loadPixelBoxStartSystemTime=0.44159899999999996; loadPixelBoxStartMaxResidentSetSize=318104; loadPixelBoxStartMinorPageFaults=95309; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171312
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.13; loadSkyCircleStartUserTime=2.694366; loadSkyCircleStartSystemTime=0.44159899999999996; loadSkyCircleStartMaxResidentSetSize=318104; loadSkyCircleStartMinorPageFaults=95309; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171312
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.13; _readIndexFilesStartUserTime=2.694694; _readIndexFilesStartSystemTime=0.44159899999999996; _readIndexFilesStartMaxResidentSetSize=318104; _readIndexFilesStartMinorPageFaults=95309; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171312
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.13; _readIndexFilesEndUserTime=2.694899; _readIndexFilesEndSystemTime=0.44159899999999996; _readIndexFilesEndMaxResidentSetSize=318104; _readIndexFilesEndMinorPageFaults=95309; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171312
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.13; loadSkyCircleEndUserTime=2.699318; loadSkyCircleEndSystemTime=0.44159899999999996; loadSkyCircleEndMaxResidentSetSize=318104; loadSkyCircleEndMinorPageFaults=95542; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=120; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171312
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.14; loadPixelBoxEndUserTime=2.705808; loadPixelBoxEndSystemTime=0.4416; loadPixelBoxEndMaxResidentSetSize=318104; loadPixelBoxEndMinorPageFaults=95542; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=120; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171312
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.52; _readIndexFilesStartUserTime=3.071892; _readIndexFilesStartSystemTime=0.45044999999999996; _readIndexFilesStartMaxResidentSetSize=319220; _readIndexFilesStartMinorPageFaults=98396; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171314
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.52; _readIndexFilesEndUserTime=3.074547; _readIndexFilesEndSystemTime=0.451401; _readIndexFilesEndMaxResidentSetSize=319228; _readIndexFilesEndMinorPageFaults=98402; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171314
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1954968 kB, VmSize: 1954968 kB, VmRSS: 319228 kB, VmData: 406260 kB, Mmaps: 1459, Mmaps: 1954972 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1954968 kB, VmSize: 1954968 kB, VmRSS: 319228 kB, VmData: 406260 kB, Mmaps: 1459, Mmaps: 1954972 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1954968 kB, VmSize: 1954720 kB, VmRSS: 319304 kB, VmData: 406260 kB, Mmaps: 1446, Mmaps: 1954724 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067099999999964
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.54; loadPixelBoxStartUserTime=3.096342; loadPixelBoxStartSystemTime=0.457379; loadPixelBoxStartMaxResidentSetSize=319408; loadPixelBoxStartMinorPageFaults=98447; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171315
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.54; loadSkyCircleStartUserTime=3.096888; loadSkyCircleStartSystemTime=0.45746; loadSkyCircleStartMaxResidentSetSize=319408; loadSkyCircleStartMinorPageFaults=98447; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=136; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171315
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.54; _readIndexFilesStartUserTime=3.097247; _readIndexFilesStartSystemTime=0.45746; _readIndexFilesStartMaxResidentSetSize=319408; _readIndexFilesStartMinorPageFaults=98447; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171315
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.54; _readIndexFilesEndUserTime=3.09743; _readIndexFilesEndSystemTime=0.45746; _readIndexFilesEndMaxResidentSetSize=319408; _readIndexFilesEndMinorPageFaults=98447; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171315
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.55; loadSkyCircleEndUserTime=3.100598; loadSkyCircleEndSystemTime=0.45746; loadSkyCircleEndMaxResidentSetSize=319408; loadSkyCircleEndMinorPageFaults=98652; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171315
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.55; loadPixelBoxEndUserTime=3.107256; loadPixelBoxEndSystemTime=0.45746; loadPixelBoxEndMaxResidentSetSize=319408; loadPixelBoxEndMinorPageFaults=98652; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171315
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.93; _readIndexFilesStartUserTime=3.47532; _readIndexFilesStartSystemTime=0.46524699999999997; _readIndexFilesStartMaxResidentSetSize=319408; _readIndexFilesStartMinorPageFaults=101507; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171317
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.93; _readIndexFilesEndUserTime=3.47761; _readIndexFilesEndSystemTime=0.466288; _readIndexFilesEndMaxResidentSetSize=319408; _readIndexFilesEndMinorPageFaults=101513; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171317
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1955136 kB, VmSize: 1955004 kB, VmRSS: 319348 kB, VmData: 406296 kB, Mmaps: 1459, Mmaps: 1955008 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1955136 kB, VmSize: 1955004 kB, VmRSS: 319348 kB, VmData: 406296 kB, Mmaps: 1459, Mmaps: 1955008 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1955136 kB, VmSize: 1954756 kB, VmRSS: 319340 kB, VmData: 406296 kB, Mmaps: 1446, Mmaps: 1954760 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00069199999999991
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.96; loadPixelBoxStartUserTime=3.501992; loadPixelBoxStartSystemTime=0.469339; loadPixelBoxStartMaxResidentSetSize=319444; loadPixelBoxStartMinorPageFaults=101537; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=152; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171318
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.96; loadSkyCircleStartUserTime=3.5026289999999998; loadSkyCircleStartSystemTime=0.469339; loadSkyCircleStartMaxResidentSetSize=319444; loadSkyCircleStartMinorPageFaults=101537; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=152; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171318
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.96; _readIndexFilesStartUserTime=3.502967; _readIndexFilesStartSystemTime=0.469339; _readIndexFilesStartMaxResidentSetSize=319444; _readIndexFilesStartMinorPageFaults=101537; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171318
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.96; _readIndexFilesEndUserTime=3.503173; _readIndexFilesEndSystemTime=0.469339; _readIndexFilesEndMaxResidentSetSize=319444; _readIndexFilesEndMinorPageFaults=101537; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171318
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.96; loadSkyCircleEndUserTime=3.506278; loadSkyCircleEndSystemTime=0.469339; loadSkyCircleEndMaxResidentSetSize=319444; loadSkyCircleEndMinorPageFaults=101742; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171318
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.97; loadPixelBoxEndUserTime=3.512973; loadPixelBoxEndSystemTime=0.469339; loadPixelBoxEndMaxResidentSetSize=319444; loadPixelBoxEndMinorPageFaults=101742; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171318
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.35; _readIndexFilesStartUserTime=3.881555; _readIndexFilesStartSystemTime=0.476172; _readIndexFilesStartMaxResidentSetSize=319444; _readIndexFilesStartMinorPageFaults=104597; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171320
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.35; _readIndexFilesEndUserTime=3.885328; _readIndexFilesEndSystemTime=0.477145; _readIndexFilesEndMaxResidentSetSize=319444; _readIndexFilesEndMinorPageFaults=104605; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171320
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1955172 kB, VmSize: 1955128 kB, VmRSS: 319352 kB, VmData: 406296 kB, Mmaps: 1465, Mmaps: 1955132 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1955172 kB, VmSize: 1955128 kB, VmRSS: 319352 kB, VmData: 406296 kB, Mmaps: 1465, Mmaps: 1955132 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1955172 kB, VmSize: 1954756 kB, VmRSS: 319340 kB, VmData: 406296 kB, Mmaps: 1446, Mmaps: 1954760 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00070899999999963
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.37; loadPixelBoxStartUserTime=3.909739; loadPixelBoxStartSystemTime=0.479193; loadPixelBoxStartMaxResidentSetSize=319452; loadPixelBoxStartMinorPageFaults=104629; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171320
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.38; loadSkyCircleStartUserTime=3.910364; loadSkyCircleStartSystemTime=0.479193; loadSkyCircleStartMaxResidentSetSize=319452; loadSkyCircleStartMinorPageFaults=104629; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171320
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.38; _readIndexFilesStartUserTime=3.910698; _readIndexFilesStartSystemTime=0.479193; _readIndexFilesStartMaxResidentSetSize=319452; _readIndexFilesStartMinorPageFaults=104629; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171320
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.38; _readIndexFilesEndUserTime=3.910863; _readIndexFilesEndSystemTime=0.47920799999999997; _readIndexFilesEndMaxResidentSetSize=319452; _readIndexFilesEndMinorPageFaults=104629; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171320
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.39; loadSkyCircleEndUserTime=3.914378; loadSkyCircleEndSystemTime=0.48014999999999997; loadSkyCircleEndMaxResidentSetSize=319452; loadSkyCircleEndMinorPageFaults=104862; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=176; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171320
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.4; loadPixelBoxEndUserTime=3.920871; loadPixelBoxEndSystemTime=0.480209; loadPixelBoxEndMaxResidentSetSize=319452; loadPixelBoxEndMinorPageFaults=104862; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=176; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171320
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.76; _readIndexFilesStartUserTime=4.289738; _readIndexFilesStartSystemTime=0.48710499999999995; _readIndexFilesStartMaxResidentSetSize=320080; _readIndexFilesStartMinorPageFaults=107717; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171323
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.77; _readIndexFilesEndUserTime=4.291487; _readIndexFilesEndSystemTime=0.488079; _readIndexFilesEndMaxResidentSetSize=320088; _readIndexFilesEndMinorPageFaults=107723; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171323
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1955736 kB, VmSize: 1955736 kB, VmRSS: 320088 kB, VmData: 407036 kB, Mmaps: 1459, Mmaps: 1955740 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1955736 kB, VmSize: 1955736 kB, VmRSS: 320088 kB, VmData: 407036 kB, Mmaps: 1459, Mmaps: 1955740 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1955736 kB, VmSize: 1955496 kB, VmRSS: 320080 kB, VmData: 407036 kB, Mmaps: 1446, Mmaps: 1955500 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067500000000020
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.8; loadPixelBoxStartUserTime=4.316688; loadPixelBoxStartSystemTime=0.491102; loadPixelBoxStartMaxResidentSetSize=320184; loadPixelBoxStartMinorPageFaults=107747; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=184; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171323
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.8; loadSkyCircleStartUserTime=4.317329; loadSkyCircleStartSystemTime=0.491102; loadSkyCircleStartMaxResidentSetSize=320184; loadSkyCircleStartMinorPageFaults=107747; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=184; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171323
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.8; _readIndexFilesStartUserTime=4.317676; _readIndexFilesStartSystemTime=0.491102; _readIndexFilesStartMaxResidentSetSize=320184; _readIndexFilesStartMinorPageFaults=107747; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171323
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.8; _readIndexFilesEndUserTime=4.317845; _readIndexFilesEndSystemTime=0.49111899999999997; _readIndexFilesEndMaxResidentSetSize=320184; _readIndexFilesEndMinorPageFaults=107747; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171323
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.81; loadSkyCircleEndUserTime=4.320842; loadSkyCircleEndSystemTime=0.49111899999999997; loadSkyCircleEndMaxResidentSetSize=320184; loadSkyCircleEndMinorPageFaults=107976; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=192; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171323
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.81; loadPixelBoxEndUserTime=4.32754; loadPixelBoxEndSystemTime=0.49111899999999997; loadPixelBoxEndMaxResidentSetSize=320184; loadPixelBoxEndMinorPageFaults=107976; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=192; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171323
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.19; _readIndexFilesStartUserTime=4.699954; _readIndexFilesStartSystemTime=0.500059; _readIndexFilesStartMaxResidentSetSize=320184; _readIndexFilesStartMinorPageFaults=110831; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171325
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.41; _readIndexFilesEndUserTime=4.88809; _readIndexFilesEndSystemTime=0.530094; _readIndexFilesEndMaxResidentSetSize=380648; _readIndexFilesEndMinorPageFaults=126302; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171327
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2040404 kB, VmSize: 2039892 kB, VmRSS: 381556 kB, VmData: 467432 kB, Mmaps: 2653, Mmaps: 2039896 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2040548 kB, VmSize: 2040292 kB, VmRSS: 385932 kB, VmData: 467832 kB, Mmaps: 2653, Mmaps: 2040296 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2040548 kB, VmSize: 2016292 kB, VmRSS: 380760 kB, VmData: 467832 kB, Mmaps: 1448, Mmaps: 2016296 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0090109999999992
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.54; loadPixelBoxStartUserTime=5.001444; loadPixelBoxStartSystemTime=0.548034; loadPixelBoxStartMaxResidentSetSize=386196; loadPixelBoxStartMinorPageFaults=130190; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=208; loadPixelBoxStartVoluntaryContextSwitches=54; loadPixelBoxStartInvoluntaryContextSwitches=171327
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.54; loadSkyCircleStartUserTime=5.002002; loadSkyCircleStartSystemTime=0.548095; loadSkyCircleStartMaxResidentSetSize=386196; loadSkyCircleStartMinorPageFaults=130190; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=208; loadSkyCircleStartVoluntaryContextSwitches=54; loadSkyCircleStartInvoluntaryContextSwitches=171327
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.54; _readIndexFilesStartUserTime=5.002365; _readIndexFilesStartSystemTime=0.548095; _readIndexFilesStartMaxResidentSetSize=386196; _readIndexFilesStartMinorPageFaults=130190; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=208; _readIndexFilesStartVoluntaryContextSwitches=54; _readIndexFilesStartInvoluntaryContextSwitches=171327
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.54; _readIndexFilesEndUserTime=5.002543; _readIndexFilesEndSystemTime=0.548095; _readIndexFilesEndMaxResidentSetSize=386196; _readIndexFilesEndMinorPageFaults=130190; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=54; _readIndexFilesEndInvoluntaryContextSwitches=171327
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.66; loadSkyCircleEndUserTime=5.112303; loadSkyCircleEndSystemTime=0.554008; loadSkyCircleEndMaxResidentSetSize=386196; loadSkyCircleEndMinorPageFaults=133488; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=208; loadSkyCircleEndVoluntaryContextSwitches=54; loadSkyCircleEndInvoluntaryContextSwitches=171328
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.68; loadPixelBoxEndUserTime=5.132708; loadPixelBoxEndSystemTime=0.554048; loadPixelBoxEndMaxResidentSetSize=386196; loadPixelBoxEndMinorPageFaults=133488; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=208; loadPixelBoxEndVoluntaryContextSwitches=54; loadPixelBoxEndInvoluntaryContextSwitches=171328
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.508s

OK
Mem0: Memory usage:
max rss: [0.320184, 'MB'] MB
VmPeak 1955904 kB
VmSize 1955496 kB
VmRSS 320080 kB
VmData 407036 kB
VmStk 168 kB
Number of mmaps: 1446
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.380648, 'MB'] MB
VmPeak 2038972 kB
VmSize 2038972 kB
VmRSS 380648 kB
VmData 466512 kB
VmStk 168 kB
Number of mmaps: 2652
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.386196, 'MB'] MB
VmPeak 2040548 kB
VmSize 2016292 kB
VmRSS 380832 kB
VmData 467832 kB
VmStk 168 kB
Number of mmaps: 1448
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.386196, 'MB'] MB
VmPeak 2040548 kB
VmSize 2016036 kB
VmRSS 380584 kB
VmData 467576 kB
VmStk 168 kB
Number of mmaps: 1447
None
FD3: 5
